Package org.apache.wiki.providers

# Class AbstractFileProvider.WikiFileFilter

java.lang.Object
org.apache.wiki.providers.AbstractFileProvider.WikiFileFilter

All Implemented Interfaces:
  `FilenameFilter`

Enclosing class:
  AbstractFileProvider

public static class AbstractFileProvider.WikiFileFilter extends Object implements FilenameFilter
A simple filter which filters only those filenames which correspond to the file extension used.

## Constructor Summary

Constructors
Constructor
Description
`WikiFileFilter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File dir, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WikiFileFilter

public WikiFileFilter()

## Method Details

### accept

public boolean accept(File dir, String name)

Specified by:
  `accept` in interface `FilenameFilter`